Package com.verisign.epp.codec.ttl.v1_0

## Enum RRecType

- java.lang.Object
- - java.lang.Enum<RRecType>
  - - com.verisign.epp.codec.ttl.v1_0.RRecType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<RRecType>`

      public enum RRecType
      extends java.lang.Enum<RRecType>

  `RRecType` specifies the DNS resource record type to which the TTL value pertains. This attribute MUST have one of the following values: "NS", "DS", "DNAME", "A", "AAAA" or "custom" , which include the following possible resource record values:
  - `NS`
  - `DS`
  - `DNAME`
  - `A`
  - `AAAA`
  - `CUSTOM` - Custom resource record that must be defined using a separate attribute

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `A` |
    `AAAA` |
    `CUSTOM` |
    `DNAME` |
    `DS` |
    `NS` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static RRecType` | `getRRecType​(java.lang.String aString)` | Gets the `RRecType` enumerated instance given the matching string.
    `java.lang.String` | `toString()` | Convert the enumerated `RRecType` instance value to a `String`.
    `static RRecType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static RRecType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NS

          public static final RRecType NS

    - #### DS

          public static final RRecType DS

    - #### DNAME

          public static final RRecType DNAME

    - #### A

          public static final RRecType A

    - #### AAAA

          public static final RRecType AAAA

    - #### CUSTOM

          public static final RRecType CUSTOM

  - ### Method Detail

    - #### values

          public static RRecType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RRecType c : RRecType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RRecType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getRRecType

          public static RRecType getRRecType​(java.lang.String aString)

      Gets the `RRecType` enumerated instance given the matching string.
      Parameters:
        `aString` - `RRecType` enumerated string to convert to an enumerated `RRecType` instance.
      Returns:
        Enumerated `RRecType` value matching the `String`.
      Throws:
        `java.security.InvalidParameterException` - If `aString` does not match an enumerated `RRecType` string value.

    - #### toString

          public java.lang.String toString()

      Convert the enumerated `RRecType` instance value to a `String`.
      Overrides:
        `toString` in class `java.lang.Enum<RRecType>`